package ucot.parser;
/**
 * Named link that points to some word.
 * 
 * This class is used to mark subjects and objects and other
 * structural information in sentence. 
 *  
 * @author panu
 *
 */
public class Link {

    private String name;
    private Word to;
        
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Link(String name, Word to) {
        this.name = name;
        this.to = to;
    }
    
    public Word getTo() {
        return to;
    }

    public void setTo(Word to) {
        this.to = to;
    }
    
    public String toString(){
        return getName() + " = " + to.getBasicForm();
    }

}
