package ucot.heuristic;

import ucot.ModuleProperties;
import ucot.model.AnalyzeModel;
import ucot.parser.ParsedData;

/**
 * DummyHeuristic which does absolutely nothing but helps avoiding
 * null values in heuristic variables.
 * 
 * @author UCOT
 */
public class DummyHeuristic extends ModuleProperties implements HeuristicInterface {

	/* (non-Javadoc)
	 * @see ucot.heuristic.HeuristicInterface#doHeuristic(ucot.parser.ParsedData, ucot.model.AnalyzeModel)
	 */
	public void doHeuristic(ParsedData data, AnalyzeModel model) throws Exception {}
	
	/* (non-Javadoc)
	 * @see ucot.heuristic.HeuristicInterface#getName()
	 */
	public String getName() { return null; }

}
