package ucot.ui.gui.entitytab;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.HashMap;
import java.util.Map;

import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.table.DefaultTableModel;

//TODO comment me
public class JTableAndButtonsPanel extends JPanel {
	Map<String, JButton> buttons = new HashMap<String, JButton>(); 
	private static final long serialVersionUID = -3785955762470238856L;

	private JPanel buttonsPanel;	

	private JTable table;
	private JPanel containerPanel;
	private JScrollPane scrollPane;
	
	private ActionListener actionListener = new ActionListener(){

		public void actionPerformed(ActionEvent e) {
			action(e.getActionCommand());			
		}
		
	};
	
	
	public JTableAndButtonsPanel(){
		DefaultTableModel tableModel = new DefaultTableModel();

		
		containerPanel = new JPanel();
		buttonsPanel = new JPanel();
		containerPanel.setLayout(new BorderLayout());
		table = new JTable(tableModel);
		table.setRowSelectionAllowed(false);
		
		scrollPane = new JScrollPane();						
		scrollPane.setAutoscrolls(true);
		
		setTable(table);
		
		containerPanel.add(scrollPane, BorderLayout.CENTER);		
		this.setLayout(new BorderLayout());
		this.add(containerPanel, BorderLayout.CENTER);
		this.add(buttonsPanel, BorderLayout.SOUTH);
		

	}
	
	public void setTable(JTable newTable){
		scrollPane.remove(table);
		scrollPane.setViewportView(newTable);
		table = newTable;
	}
	
	public JTable getTable(){
		return table;
	}

	
	public JButton addButton(String label, String actionCommand){
		JButton button = new JButton(label);
		button.setActionCommand(actionCommand);
		buttonsPanel.add(button);
		button.addActionListener(actionListener);
		return button;
	}
	
	
	
	protected void action(String actionCmd){
	}
}
